Architektura Střecha

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Roof and the translation is 30% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Previous: Arch Grid.svg Grid
Next: Space Arch Space.svg Arrow-right.svg

Arch Roof.svg Arch Střecha

Umístění Menu
Arch → Střecha
Pracovní stoly
Arch
Výchozí zástupce
R F
Představen ve verzi
-
Viz také
Nikdo


Popis

Nástroj Střecha umožňuje vytvořit šikmou střechu z vybraných drátů. Vytvořená střecha je parametrická a udržuje vztahy se základním objektem. Mějte na paměti, prosím, že tento nástroj je stále ještě ve vývoji a může zhavarovat u velmi komplexních tvarů. Vše je založeno na principu, že každá viditelná hrana je přidělena profilu střechy (sklon, šířka, přesah, tloušťka, atd)

This tool is still in development, and might fail with very complex shapes.

RoofExample.png

RoofExample.png

Použití

  1. Vytvořte drát proti směru hodinových ručiček a vyberte jej.
    • CounterclockwiseWire.png
  2. Klikněte na Arch Roof.png Arch Střecha nebo stiskněte klávesy R a potom F
  3. Standardní objekt střechy může mít podivný tvar. Je to proto, že nástoj nemá všechny potřebné informace.
  4. Po vytvoření standardní střechy, dvojkliknete na tento objekt ve stromu pohledu, abyste získali editovací přístup k vlastnostem. Úhel musí být mezi 0 a 90 stupňů.
    • RoofTable.png
  5. Každá čára koresponduje se střešním panelem. Takže můžete nastavit požadované vlastnosti pro každý panel střechy.
  6. Může Vám pomoci to, že můžete nastavit Úhel nebo Vnitřní šířku na 0 a definovat Relativní Id, což zajistí automatický výpočet pro vyhledání relativních dat k relativnímu Id.
  7. Funguje to následovně:
    1. Je-li Úhel = 0 a Vnitřní šířka = 0 pak profil je identický k relativnímu profilu.
    2. Je-li Úhel = 0 pak úhel je vypočten tak, že výška je stejná jako u relativních profilu.
    3. Je-li Sklon = 0 pak Vnitřní šířka je vypočtena tak, že výška je stejná jako u relativních profilu.
  8. A nakonec, nastavení úhlu na 90 stupňů vytvoří štít.
    • RoofProfil.png

Options

Vlastnosti

  • DATAÚhly: Seznam šikmých úhlů střešních panelů (úhel pro každou hranu v drátu).
  • DATAVnitřní šířky: Seznam šířek střešních panelů (sklon pro každou hranu drátu).
  • DATAIdRel: Seznam relací Id úhlů sklonů střechy
  • DATATloušťka: Seznam tlouštěk střešních panelů (tloušťka pro každou hranu v drátu).
  • DATAPřesah: Seznam přesahů střešních panelů (přesah pro každou hranu v drátu).
  • DATAPovrch: Index povrchu, který má být použit u základního objektu #Ve skutečnosti není použit

Skriptování

Nástroj Střecha může být využit v makrech a z konzoly Pythonu použitím následující funkce:

Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
Vytvoří střechu založenou na uzavřeném drátu. Můžete dodat seznam úhlů, vnitřních šířek, idrel (relativních Id), tlouštěk, přesahů pro každou hranu v drátu, který definuje tvar střechy. Standard pro úhel je 45 stupňů a seznam je automaticky zkompletován tak aby odpovídal počtu hran v drátu.

Příklad:

import FreeCAD, Arch, Draft

Rect = Draft.makeRectangle(3000, 4000)
Roof = Arch.makeRoof(Rect, angles=[30.,])
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(0, 2000, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)
Roof2 = Arch.makeRoof(Wire)
FreeCAD.ActiveDocument.recompute()